LIVE-BUILD(1)

NAME
live-build - Live System Build Components

SYNOPSIS
lb binary-includes [--verbose]

lb binary-includes [--help]
lb binary-includes [--version]

DESCRIPTION
live-build contains the components to build a live system from a configuration directory.

The lb binary-includes command copies include files into the binary stage.

SPECIFICATION
lb binary-includes copies any include files found in the config/includes and config/includes.binary directories within the configuration directory.

Include files do not require to have a specific owner nor specific permissions. The files are set to be owned by root by lb binary-includes automatically when they are copied, original permissions of the files are preserved. Specific owners can be set with a corresponding hook file, see lb-binary-hooks(1) for more information about hooks.

Include files in the config/includes directory are copied first, include files in the config/includes.binary directory are copied second. Files present in the binary and either of the include directories are silently overwritten, the later file replaces the earlier.

OPTIONS

--verbose
    sets verbose option (default: False).

-h, --help
    show help message and exit.

--version
    show program's version number and exit.

FILES

config/includes:
    generic include files.

config/includes.binary:
    include files specific for the binary stage.

binary:
    directory in which the include files are copied into.

SEE ALSO

lb-bootstrap-includes(1)

lb-chroot-includes(1)

lb-source-includes(1)

HOMEPAGE
More information about live-build and the Live Systems project can be found on the homepage at <http://live-systems.org/> and in the manual at <http://live-systems.org/manual/>.

BUGS
Bugs can be reported by submitting a bugreport for the live-build package in the Bug Tracking System at <http://bugs.debian.org/> or by writing a mail to the Live Systems mailing list at <debian-live@lists.debian.org>.

AUTHOR
live-build was written by Daniel Baumann <mail@daniel-baumann.ch>.